.table-container {
  .tier-table {
    table-layout: fixed;
    border-collapse: collapse;
    thead {
      container-type: scroll-state;
      position: sticky;
      top: calc(var(--header-height) + 3.5rem);
      background-color: var(--background);
    }
    thead tr {
      transition: 600ms box-shadow var(--ease);
      box-shadow: 0 0rem 0rem 0rem rgba(0, 0, 0, 0);
    }
    th,
    td {
      background-color: transparent;
      line-height: 1.5;
      padding-block: 1rem;
      /* padding-inline: 0.5rem; */
      small {
        line-height: 1.35;
        display: inline-block;
      }
    }
    th {
      color: inherit;
      font-weight: 600;
      line-height: 1.25;
      font-size: var(--text-lg);
      z-index: 10;
    }

    th,
    td {
      border-bottom: 1px solid var(--accent);
      &:first-child {
        text-align: left;
      }
    }

    td:has(.accordion) {
      padding: 0;
    }

    td:only-child {
      column-span: all;
    }
  }

  .crystal {
    color: var(--crystal);
  }
  .sapphire {
    color: var(--sapphire);
  }
  .emerald {
    color: var(--emerald);
  }
  .opal {
    color: var(--opal);
  }
  .ruby {
    color: var(--ruby);
  }
  .diamond {
    color: var(--diamond);
  }
}

.card-header {
  text-align: center;
  .img-container {
    margin-bottom: 1rem;
    padding-inline: 1rem;
    margin-inline: auto;
    transition: 350ms width var(--ease);
    width: 100%;
    img {
      /* max-width: 100%; */

      margin: auto;
      display: block;
    }
  }
  .card-name {
    font-size: var(--text-lg);
    font-weight: 500;
  }
}

.fade-in {
  opacity: 0;
}

p ~ .img-container {
  margin: var(--edge) auto;
}

.accordion-button {
  h3 {
    margin: 0;
    padding: 1rem 0;
    text-align: left;
  }
}

.grid-complex {
  /* margin: var(--edge) auto; */
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 1rem var(--edge);
  .img-container {
    /* margin: var(--edge) auto; */
    grid-column: 1 / span 1;
    grid-row: 1 / span 2;
  }
  .desc-container {
    grid-column: 2 / span 1;
  }
  .upper {
    grid-row: 1 span 1;
    align-self: end;
  }
  .lower {
    grid-row: 2 span 1;
    align-self: start;
    .btn-text {
      margin-top: 1rem;
    }
  }
}

.diamond-reserve-table {
  tr:has(th) {
    position: sticky;
    top: var(--header-height);
    background-color: var(--accent);
    z-index: 1;
    th {
      border: 0;
    }
  }
  .sticky-2nd {
    position: sticky;
    z-index: 2;
    top: calc(var(--header-height) + 3.5rem);
    background-color: var(--accent-200);
  }

  small {
    display: block;
    font-size: 80%;
  }

  p {
    font-size: 80%;
    font-style: italic;
    small {
      font-size: 100%;
    }
  }
}
.rewards-slider {
  text-align: center;
  margin-inline: auto;
  padding: 2rem;
  overflow: visible;
  max-width: 350px;

  .swiper-slide {
    /* background-color: var(--background); */
    cursor: pointer;
    .description {
      > * {
        opacity: 0;
        transform: translateY(1rem);
        transition: transform 350ms var(--ease);
        transition-property: opacity, transform;
      }
    }
    h4 {
      margin-bottom: 0.25rem;
    }
  }

  .swiper-slide.swiper-slide-active {
    .description {
      > * {
        opacity: 1;
        transform: translateY(0rem);
      }
    }
  }
}

.diamond-reserver-feature {
  background: linear-gradient(#1d1c1a, #837e75);
  padding: 2rem;
  border-radius: 2rem;
  color: white;
  line-height: 1.5;
  .flex {
    gap: 1rem;
    margin-bottom: 0.5rem;
    align-items: center;
  }
  .img-container {
    flex: 0 0 3rem;
  }
  h3 {
    margin-top: 0;
    margin-bottom: 0;
  }
}

.diamond-reserve {
  place-content: center;
  p {
    opacity: 0;
    /* transform: translateY(20x); */
  }

  .block-content {
    min-height: 100lvh;
    place-content: center;
  }
  .sticky {
    position: sticky;
    top: 0;
  }
}

.diamond-reserve.intro {
  text-align: center;
  display: block;
  margin-top: 0;
  padding: 0;
  background-color: transparent;
  opacity: 1;
  margin-top: calc(var(--header-height) * -1);
  /* overflow: hidden; */
  .diamond-reserve-title {
    margin-top: 10vh;
  }
  .block-content {
    padding: 0;
    min-height: 200lvh;
    /* padding-top: calc(var(--edge) + var(--header-height)); */
    place-content: start;
    position: relative;
  }
  .img-container {
    margin: auto;
    width: 15rem;
    max-width: 100%;
    min-height: 100lvh;
    place-content: center;
    /* position: sticky; */
    /* top: 0; */
  }

  .overflow {
    overflow: hidden;
  }

  img {
    width: 100%;
  }

  .scroll-down {
    position: absolute;
    left: 50%;
    transform: translate(-50%, 0);
    z-index: 0;
    top: calc(100lvh - var(--edge) - 10rem);
    svg {
      width: 1.5rem;
      height: auto;
    }
  }
}

.diamond-reserve {
  min-height: 100lvh;
  background-color: var(--background);
  position: relative;
  z-index: 1;
  /* opacity: 0; */
  font-size: var(--text-lg);

  ul,
  ol {
    li {
      margin: 2rem 0;
    }
  }

  h2 {
    font-size: var(--text-6xl);
  }
  h3 {
    font-size: var(--text-4xl);
  }
  h4 {
    font-size: var(--text-3xl);
  }
}

.diamond-reserve.section-2 {
  opacity: 1;
  background-color: transparent;
  margin-top: -100lvh;
  position: relative;
  /* overflow-y: hidden; */
  .bg {
    background: linear-gradient(transparent 0%, var(--background) 50%);
    position: absolute;
    height: 200%;
    width: 100%;
    left: 0;
    bottom: 0;
    z-index: 0;
    opacity: 0;
    /* filter: blur(200px); */
    /* scale: 1.5; */
  }
  .sticky {
    top: 50%;
    transform: translate(0, -50%);
  }
}
.diamond-reserve.section-3 {
  min-height: 0;
  .block-content {
    min-height: 0;
    padding-bottom: 25vh;
  }
}
.diamond-reserve.section-4 {
  color: white;
  .block-content {
    min-height: 150lvh;
    place-content: start;
    padding: 0;
  }

  h2 {
    width: 1024px;
    max-width: 100%;
    margin: auto;
    padding: var(--edge);
    font-size: var(--text-3xl);
    /* opacity: 0; */
  }

  .sticky {
    place-content: center;
    min-height: 100lvh;
  }

  video {
    position: absolute;
    z-index: 0;
    left: 0;
    bottom: 0;
    width: 100%;
    height: calc(100% - var(--header-height));
    object-fit: cover;
  }
}

.diamond-reserve-title {
  .upper {
    font-weight: 300;
    text-transform: uppercase;
    font-size: var(--text-4xl);
    color: var(--accent);
    font-family: var(--text-sans);
  }
  .lower {
    font-size: var(--text-8xl);
    font-weight: 600;
    text-transform: uppercase;
  }
  span {
  }
  .outline {
    -webkit-text-stroke-width: 0.5px; /* Sets the outline width */
    -webkit-text-stroke-color: currentColor; /* Sets the outline color */
    -webkit-text-fill-color: transparent; /* Sets the inner text color */
    /* standard property for future compatibility (not widely implemented yet) */
    text-stroke: 0.5px;
  }
}

.privileges-item {
  border-radius: 3rem;
  background-color: var(--accent-200);
  max-width: max-content;
  padding: 1.5rem 2rem;
  margin: 1rem 0;
  line-height: 1.25;
  transform: translateX(25%);
  opacity: 0;
}
.privileges-button .privileges-item {
  background-color: var(--foreground);
  color: var(--background);
  display: flex;
  align-items: center;
  gap: 0.5rem;
  /* transition: 600ms gap var(--ease); */
  svg {
    height: 1.75rem;
    width: 1.75rem;
    margin-left: 0;
  }
}
.privileges-button:hover .privileges-item {
  /* gap: 1rem; */
}

.diamond-reserve.section-5 {
  .side-by-side {
    .img-container {
      position: static;
      flex: 0 1 25rem;
      &:before {
        display: none;
      }

      img {
        transform: scale(1) !important;
        width: 100%;
      }
    }
    .privileges-list {
      flex: 1 1 350px;
      overflow: hidden;
    }
  }
}

.diamond-reserve.reserve-footer {
  overflow: hidden;
  /* position: sticky; */
  /* bottom: 0; */
  z-index: 0;
  min-height: 0;
  .block-content {
    min-height: 0;
    padding-block: 15vh;
  }
  .marquee {
    width: 100%;
    display: flex;
    margin: auto;
    flex-wrap: nowrap;
    gap: 3rem;
    display: none;
    .img-container {
      flex: 0 0 100%;
      transform: translateX(0);
    }
    svg {
      width: 100%;
      display: block;
    }
  }
  .desc-container {
    /* display: none; */
  }
  .block-content {
    h2 {
      margin-top: 3rem;
    }
  }
}
@container scroll-state(stuck: top) {
  .card-header {
    .img-container {
      width: 7rem;
    }
  }

  .table-container {
    .tier-table {
      thead tr {
        box-shadow: 0 5rem 4rem -5rem rgba(0, 0, 0, 0.15);
      }
    }
  }
}

@media only screen and (min-width: 768px) {
  .diamond-reserve.section-4 {
    h2 {
      font-size: var(--text-5xl);
    }
  }
}

@media only screen and (min-width: 1024px) {
  .diamond-reserve {
    font-size: var(--text-xl);
  }
  .diamond-reserve.section-5 {
    & .side-by-side {
      & .img-container {
        position: sticky;
        top: calc(var(--header-height) + var(--edge));
      }
    }
  }
  .rewards-slider.swiper-destroyed {
    width: 100%;
    max-width: none;
    margin: 2rem 0;
    padding: 0;

    --initial-scale: 0.75;
    --hover-scale: 1;
    .swiper-wrapper {
      display: grid;
      gap: 0 !important;
      grid-template-columns: repeat(5, 1fr) !important;
    }

    .swiper-slide {
      .img-container {
        transform: scale(0.75);
      }
      .description * {
        transition: none;
        opacity: 0;
        transform: translateY(20px);
      }
    }
  }
}
